Subject: Re: [OOPS][3.12] BUG: unable to handle kernel NULL pointer dereference at 0000000c

From: Steffen Klassert <[email-masked]>
Date: Mon, 18 Nov 2013 10:22:55 +0100

On Fri, Nov 15, 2013 at 06:57:55PM -0500, David Miller wrote:
> From: Ian Kumlien <[email-masked]>
> Date: Sat, 16 Nov 2013 00:39:19 +0100
> 
> > On Fri, Nov 15, 2013 at 05:44:26PM -0500, David Miller wrote:
> >> From: Bjorn Helgaas <[email-masked]>
> >> Date: Fri, 15 Nov 2013 15:29:53 -0700
> >> 
> >> > [+cc David, Eric, Alex, netdev]
> >> > 
> >> > Alex reported a similar issue at
> >> > http://marc.info/?l=linux-netdev&m=138355719901790&w=4
> >> 
> >> Fixed by:
> >> 
> >> commit 84502b5ef9849a9694673b15c31bd3ac693010ae
> >> Author: Steffen Klassert <[email-masked]>
> >> Date:   Wed Oct 30 11:16:28 2013 +0100
> > 
> > Cherry-picked, compiled and preparing for reboot - thanks!
> > 
> > Shouldn't this be queued up in stable sometime soonish?
> > 
> > (Sorry for the change of email address, i had forgot to switch the
> > configurations in mutt)
> 
> Steffen is in charge of IPSEC -stable submissions, please ask him
> :-)

It was intended for v3.12 but the release came before it was merged
into the manline. So yes, it should go to the v3.12 stable tree.

I've always did stable submissions just by marking them as a
candidate for stable, this did not happen here because I hoped
it will make it into v3.12. It should apply cleanly to v3.12
stable, you could just pick it into you stable queue, or
alternatively I can submit to stable.